From 6f2e7a5e2d4043192609dd4f24f436977abe0da8 Mon Sep 17 00:00:00 2001
From: Alexander Korotkov <akorotkov@postgresql.org>
Date: Mon, 16 Sep 2024 21:35:06 +0300
Subject: [PATCH v1 2/2] Add missing wait_for_catchup() call in
 043_wal_replay_wait.pl

Reported-by: Alexander Lakhin
Discussion: https://postgr.es/m/1d7b08f2-64a2-77fb-c666-c9a74c68eeda%40gmail.com
---
 src/test/recovery/t/043_wal_replay_wait.pl | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/test/recovery/t/043_wal_replay_wait.pl b/src/test/recovery/t/043_wal_replay_wait.pl
index b4801635d53..3d09a145fe7 100644
--- a/src/test/recovery/t/043_wal_replay_wait.pl
+++ b/src/test/recovery/t/043_wal_replay_wait.pl
@@ -177,6 +177,7 @@ $psql_session->query_until(
 	CALL pg_wal_replay_wait('${lsn4}');
 ]);
 
+$node_primary->wait_for_catchup($node_standby);
 $log_offset = -s $node_standby->logfile;
 $node_standby->promote;
 $node_standby->wait_for_log('recovery is not in progress', $log_offset);
-- 
2.39.3 (Apple Git-146)

